/**
 *
 */
package com.ims.eval.controller;

import com.ims.core.controller.WebController;
import com.ims.core.utils.StringUtils;
import com.ims.eval.entity.DeptResponsibilityTarget;
import com.ims.eval.service.IDeptResponsibilityTargetService;
import org.springframework.http.MediaType;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 目标责任书指标Controller
 * @author wang
 * @version 2023-02-23
 */
@Controller
@RequestMapping(value = "/eval/deptResponsibilityTarget")
public class DeptResponsibilityTargetController extends WebController<IDeptResponsibilityTargetService, DeptResponsibilityTarget> {

 	//@ImsPreAuth("eval:deptResponsibilityTarget:view")
	@RequestMapping(value = "list")
	public String list(DeptResponsibilityTarget deptResponsibilityTarget, Model model) {
		return "ims/ims-eval${ims_eval_suffix}/eval/deptResponsibilityTargetList";
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:view")
	@RequestMapping(value = "form")
	public String form(DeptResponsibilityTarget deptResponsibilityTarget, Model model) {
	    String formView = deptResponsibilityTarget.getFormView();
	    if(StringUtils.isNotBlank(formView)){
			return "ims/"+formView;
		}
		return "ims/ims-eval${ims_eval_suffix}/eval/deptResponsibilityTargetForm";
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:view")
	@RequestMapping(value = "lov")
	public String lov(DeptResponsibilityTarget deptResponsibilityTarget, Model model) {
		return "ims/ims-eval${ims_eval_suffix}/eval/deptResponsibilityTargetList";
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:view")
	@RequestMapping(value = "data")
	@ResponseBody
	public String getData(DeptResponsibilityTarget deptResponsibilityTarget, HttpServletRequest request, HttpServletResponse response, Model model)  throws IOException  {
        return  super.getData(deptResponsibilityTarget,request,response,model);
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:view")
	@RequestMapping(value = "allData")
	@ResponseBody
	public String getAllData(DeptResponsibilityTarget deptResponsibilityTarget, HttpServletRequest request, HttpServletResponse response, Model model)  throws IOException  {
        return  super.getAllData(deptResponsibilityTarget,request,response,model);
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:view")
	@RequestMapping(value = "get")
	@ResponseBody
	public String get(DeptResponsibilityTarget deptResponsibilityTarget, HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
        return  super.get(deptResponsibilityTarget,request,response,model);
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:edit")
	@RequestMapping(value = "initInsert")
	@ResponseBody
	public String initInsert(DeptResponsibilityTarget deptResponsibilityTarget, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.initInsert(deptResponsibilityTarget,request,response,model);
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:edit")
	@RequestMapping(value = "checkSave")
	@ResponseBody
	public String checkSave(DeptResponsibilityTarget deptResponsibilityTarget, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.checkSave(deptResponsibilityTarget,request,response,model);
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:edit")
	@RequestMapping(value = "save")
	@ResponseBody
	public String save(DeptResponsibilityTarget deptResponsibilityTarget, Model model,  HttpServletRequest request, HttpServletResponse response) {
		 return super.save(deptResponsibilityTarget,request,response,model);
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:remove")
	@RequestMapping(value = "checkRemove")
	@ResponseBody
	public String checkRemove(DeptResponsibilityTarget deptResponsibilityTarget, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.checkRemove(deptResponsibilityTarget,request,response,model);
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:remove")
	@RequestMapping(value = "remove")
	@ResponseBody
	public String remove(DeptResponsibilityTarget deptResponsibilityTarget, Model model, HttpServletRequest request, HttpServletResponse response) throws Exception {
		return super.remove(deptResponsibilityTarget,request,response,model);
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:edit")
	@RequestMapping(value = "import",produces=MediaType.APPLICATION_JSON_UTF8_VALUE)
	@ResponseBody
	public String importFile(DeptResponsibilityTarget deptResponsibilityTarget,MultipartFile excelFile, HttpServletRequest request, HttpServletResponse response) {
         return super.importFile(deptResponsibilityTarget,excelFile,null,request,response);
	}

    //@ImsPreAuth("eval:deptResponsibilityTarget:view")
	@RequestMapping(value = "export", method= RequestMethod.POST)
	public void exportFile(DeptResponsibilityTarget deptResponsibilityTarget, HttpServletRequest request, HttpServletResponse response) {
         super.exportFile(deptResponsibilityTarget,request,response );
	}

}
